<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

//
// wws:debug
//
//
#global $DEBUG;
#$DEBUG=1;
//
//
//

include_once("auth.php");
include_once("../include/module.Database.php");

$datenausdbholen = "nein"; ## wenn fehler in den daten aus dem vorhergehenden formular, sollen die daten nicht neu aus der datenbank geholt werden, sondern die eingaben erhalten bleiben

## herausfinden was der anbieter darf

## mysql aufbauen

db_connect($db_host, $db_user, $db_pass);

## //

$loUser = new SQLString($PHP_AUTH_USER);
$id = safe_query2("select * from anbieter where anbieter = ?", $loUser);
$serverkann = db_fetch_array($id);
$skmaxpop = $serverkann["maxpop"];
$skmaxemail = $serverkann["maxemail"];
$skmaxautoresponder = $serverkann["maxautoresponder"];
$skmaxftp = $serverkann["maxftp"];
$skmaxsubdomains = $serverkann["maxsubdomains"];
$skmaxmysql = $serverkann["maxmysql"];
$skftp = $serverkann["ftp"];
$skphp = $serverkann["php"];
$skmaxwildcards = $serverkann["maxwildcards"];
$skmaxwildcardslimit = $serverkann["maxwildcardslimit"];

if($DEBUG){
  echo "skmaxwildcards: $skmaxwildcards<br>\n";
  echo "skmaxwildcardslimit: $skmaxwildcardslimit<br>\n";
}

$skmaxatdomains = $serverkann["maxatdomains"];
$skmaxatdomainslimit = $serverkann["maxatdomainslimit"];
$skperl = $serverkann["perl"];
$skmodpython = $serverkann["modpython"];
$skssi = $serverkann["ssi"];
$skshell = $serverkann["shell"];
$skscponly = $serverkann["scponly"];
$skstatistik = $serverkann["statistik"];
$skpwschutz = $serverkann["pwschutz"];
$skfehlerseiten = $serverkann["fehlerseiten"];
$skwebftp = $serverkann["webftp"];
$skwebmail = $serverkann["webmail"];
$skstdcgi = $serverkann["stdcgi"];
$skmaxkb = $serverkann["maxkb"];
$skfrontpage = $serverkann["frontpage"];
$skssl = $serverkann["cssl"];
$skdnr = $serverkann["dnr"];
$cmaxmysql = $serverkann["maxmysql"];
if ($cmaxmysql != 0) $skmysql = 1;
$skmaxcronjobs = $serverkann["maxcronjobs"];
$skmaxkblimit = $serverkann["maxkblimit"];
$skmaxpoplimit = $serverkann["maxpoplimit"];
$skmaxemaillimit = $serverkann["maxemaillimit"];
$skmaxautoresponderlimit = $serverkann["maxautoresponderlimit"];
$skmaxftplimit = $serverkann["maxftplimit"];
$skmaxsubdomainslimit = $serverkann["maxsubdomainslimit"];
$skmaxmysqllimit = $serverkann["maxmysqllimit"];
$skmaxcronjobslimit = $serverkann["maxcronjobslimit"];
$skspamfilter = $serverkann["spamfilter"];
$skmaxmaillistlimit = $serverkann['skmaxmaillistlimit'];

## daten überprüfen, wenn neuanlegen
if (($frontpage == 1) && ($fehlerseiten == 1))
{
	$fehlertext = ltext("anne2_error23");
	db_close();
	include("kunden_neu2.php");
	exit();
} 

if (($frontpage == 1) && ($pwschutz == 1))
{
	$fehlertext = ltext("anne2_error24");
	db_close();
	include("kunden_neu2.php");
	exit();	 
}

if (istleer($kunde)) 
{
## speicherplatz
  if (!ereg("^(0|-?[1-9][0-9]*)$",$maxkb))
    {
      $fehlertext = ltext("kune3_error1");
      db_close();
      include("kunden_neu2.php");
      exit();
    }

  if (istleer($speicherplatz)) { $speicherplatz = 0; }
  if (istleer($maxkb)) { $maxkb = 0; }
  if (istleer($maxpop)) { $maxpop = 0; }
  if (istleer($maxemail)) { $maxemail = 0; }
  if (istleer($maxautoresponder)) { $maxautoresponder = 0; }
  if (istleer($maxftp)) { $maxftp = 0; }
  if (istleer($maxtransfer)) { $maxtransfer = 0; }
  if (istleer($maxsubdomains)) { $maxsubdomains = 0; }
  if (istleer($maxmysql)) { $maxmysql = 0; }
  if (!$maxmaillist) { $maxmaillist = 0; }
  if (!$maxcronjobs) { $maxcronjobs = 0; }
  if ($skmaxpop == 0) { $spamfilter = 0; }
	## MB/GB in KB bei "max. Speicherplatz vom Anbieter" umwandeln

  if (($maxkb <> -1) && ($kbtyp == 'MB')){
    $maxkb2 = $maxkb * 1024;
  }else	{
    $maxkb2 = $maxkb;
  }

	## /MB/GB in KB bei "max. Speicherplatz vom Anbieter" umwandeln

  if ((($maxkb2 < 1) && ($maxkb2 <> -1)) || ($maxkb2 > 2147283647) || ($maxkb2 < -1)){
    $fehlertext = ltext("kune3_error2");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

  if($DEBUG){
    echo "maxpop: $maxpop<br>\n";
  }
  if (($maxpop > 8388607) || ($maxpop < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxpop))){
    $fehlertext = ltext("kune3_error3");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

  if (($maxemail > 8388607) || ($maxemail < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxemail))){
    $fehlertext = ltext("kune3_error4");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

	# wenn email < pop dann fehler

  if ((($maxemail < $maxpop) && ($maxpop > 0) && ($maxemail <> -1)) || 
      (($maxpop == -1) && ($maxemail <> -1))){
    $fehlertext = ltext("kune3_error5");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

	# /wenn email < pop dann fehler

  if (($maxautoresponder > 8388607) || ($maxautoresponder < -1) || 
      (!ereg("^(0|-?[1-9][0-9]*)$",$maxautoresponder)))	{
    $fehlertext = ltext("kune3_error6");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

	# wenn email < autoresponder dann fehler

  if ((($maxemail < $maxautoresponder) && ($maxautoresponder > 0) && ($maxemail <> -1)) || 
      (($maxautoresponder == -1) && ($maxemail <> -1)))	{
    $fehlertext = ltext("kune3_error7");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

	# /wenn email < autoresponder dann fehler
	
  if (($maxftp > 8388607) || ($maxftp < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxftp))){
    $fehlertext = ltext("kune3_error8");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

  if (($ftp == 0) && ($maxftp != 0)){
    $fehlertext = ltext("kune3_error9");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

  if (($maxtransfer < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxtransfer))){
    $fehlertext = ltext("kune3_error10");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

	## MB/GB in KB bei "max. transfer vom Anbieter" umwandeln

  if ($maxtransfer <> -1){
    $maxtransfer2 = $maxtransfer * 1024;
  }
	
	## /MB/GB in KB bei "max. transfer vom Anbieter" umwandeln
	
  if (($maxcronjobs < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxcronjobs))) {
    $fehlertext = ltext("kune3_error27");
    include("kunden_neu2.php");
    exit();
  }

  if($DEBUG){
    echo "wildcard: $wildcard<br>\n";
  }
  if(!$wildcard)
    $wildcard='0';

  if ( $wildcard < -1 || !ereg ( "^(0|-?[1-9][0-9]*)$", $wildcard ) ){
    $fehlertext = ltext("kune3_error34");
    include("kunden_neu2.php");
    exit();
  }

  if($DEBUG){
    echo "atdomains: $atdomains<br>\n";
  }
  if(!$atdomains)
    $atdomains='0';

  if ( $atdomains < -1 || !ereg ( "^(0|-?[1-9][0-9]*)$", $atdomains ) ){
    $fehlertext = ltext("kune3_error35");
    include("kunden_neu2.php");
    exit();
  }

  if (($maxmaillist < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxmaillist))){
    $fehlertext = ltext("kune3_error31");
    include("kunden_neu2.php");
    exit();
  }

  if ($maxtransfer2 > 2147283647){
    $fehlertext = ltext("kune3_error11");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

  if($DEBUG){
    echo "maxsubdomains: $maxsubdomains<br>\n";
  }
	
  if (($maxsubdomains > 8388607) || ($maxsubdomains < -1) || 
      (!ereg("^(0|-?[1-9][0-9]*)$",$maxsubdomains))){
    $fehlertext = ltext("kune3_error12");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

  if (($maxmysql > 32767) || ($maxmysql < -1) || (!ereg("^(0|-?[1-9][0-9]*)$",$maxmysql))){
    $fehlertext = ltext("kune3_error13");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

 if (($shell == 1) && ($ftp == 0)){
    $fehlertext = ltext("kune3_error14");
    db_close();
    include("kunden_neu2.php");
    exit();
  }

 if (($php == 0) && ($phpupload == 1))  {
   $fehlertext = ltext("kund3_error26");
   db_close();
   include("kunden_neu2.php");
   exit();
 }

	## checken, ob die eingegebenen daten so in ordnung sind

	## herausfinden was der anbieter darf

	## mysql aufbauen

 db_connect($db_host, $db_user, $db_pass);

## //

 $id = safe_query( "select * from anbieter where anbieter = ?", $loUser);
 
 $serverkann = db_fetch_array($id);

 $skmaxpop = $serverkann["maxpop"];
 $skmaxemail = $serverkann["maxemail"];
 $skmaxautoresponder = $serverkann["maxautoresponder"];
 $skmaxftp = $serverkann["maxftp"];
 $skmaxsubdomains = $serverkann["maxsubdomains"];
 $skmaxmysql = $serverkann["maxmysql"];
 $skftp = $serverkann["ftp"];
 $skphp = $serverkann["php"];
 $skmaxwildcards = $serverkann["maxwildcards"];
 $skmaxwildcardslimit = $serverkann["maxwildcardslimit"];
 $skmaxatdomains = $serverkann["maxatdomains"];
 $skmaxatdomainslimit = $serverkann["maxatdomainslimit"];
 $skperl = $serverkann["perl"];
 $skmodpython = $serverkann["modpython"];
 $skssi = $serverkann["ssi"];
 $skshell = $serverkann["shell"];
 $skscponly = $serverkann["scponly"];
 $skstatistik = $serverkann["statistik"];
 $skpwschutz = $serverkann["pwschutz"];
 $skfehlerseiten = $serverkann["fehlerseiten"];
 $skwebftp = $serverkann["webftp"];
 $skwebmail = $serverkann["webmail"];
 $skstdcgi = $serverkann["stdcgi"];
 $skmaxkb = $serverkann["maxkb"];
 $skfrontpage = $serverkann["frontpage"];
 $skssl = $serverkann["cssl"];
 $cmaxmysql = $serverkann["maxmysql"];
 $skmaxcronjobs = $serverkann["maxcronjobs"];
 
 if ($cmaxmysql != 0) { $skmysql = 1; }
	
 $skmaxkblimit = $serverkann["maxkblimit"];
 $skmaxpoplimit = $serverkann["maxpoplimit"];
 $skmaxemaillimit = $serverkann["maxemaillimit"];
 $skmaxautoresponderlimit = $serverkann["maxautoresponderlimit"];
 $skmaxftplimit = $serverkann["maxftplimit"];
 $skmaxsubdomainslimit = $serverkann["maxsubdomainslimit"];
 $skmaxmysqllimit = $serverkann["maxmysqllimit"];
 $skmaxcronjobslimit = $serverkann["maxcronjobslimit"];
 $skspamfilter = $serverkann["spamfilter"];
 $skmaxmaillist = $serverkann['maxmaillist'];
 $skmaxmaillistlimit = $serverkann['maxmaillistlimit'];
	## speicher überschritten?

 $id  = safe_query( "select sum(maxkb) as kbvergeben from kunden where anbieter = ?", $loUser);
 $werte = db_fetch_array($id);
	
 $kbvergeben = $werte["kbvergeben"];
 if ((($skmaxkb < ($kbvergeben + $maxkb2)) && ($skmaxkblimit == 1)) || 
     (($maxkb2 == -1) && ($skmaxkblimit == 1)))	{
   $nurnoch = $skmaxkb - $kbvergeben;
   if ($nurnoch > 0){
     $fehlertext = ltext("kune3_error15",array($nurnoch));
   }else{
     $fehlertext = ltext("kune3_error16");
   }
   db_close();
   include("kunden_neu2.php");
   exit();
 }

	## //

	## pop3 überschritten?
 $id  = safe_query2( "select sum(maxpop) as popvergeben from kunden where anbieter = ?", $loUser);
 $werte = db_fetch_array($id);
 $popvergeben = $werte["popvergeben"];
 if ((($skmaxpop < ($popvergeben + $maxpop)) && ($skmaxpoplimit == 1)) || 
     (($maxpop == -1) && ($skmaxpoplimit == 1)))	{
   $nurnoch = $skmaxpop - $popvergeben;
   $fehlertext = ltext("kune3_error17",array($nurnoch));
   db_close();
   include("kunden_neu2.php");
   exit();
 }

	## //

	## email überschritten?
 $id  = safe_query2( "select sum(maxemail) as emailvergeben from kunden where anbieter = ?", $loUser);
	$werte = db_fetch_array($id);
	$emailvergeben = $werte["emailvergeben"];
	if ((($skmaxemail < ($emailvergeben + $maxemail)) && ($skmaxemaillimit == 1)) || (($maxemail == -1) && ($skmaxemaillimit == 1)))
	{
		$nurnoch = $skmaxemail - $emailvergeben;
		$fehlertext = ltext("kune3_error18",array($nurnoch));
		db_close();
		include("kunden_neu2.php");
		exit();
	}

	## //

	## autoresponder überschritten?
	$id  = safe_query2( "select sum(maxautoresponder) as autorespondervergeben from kunden where anbieter = ?", $loUser);
	$werte = db_fetch_array($id);
	$autorespondervergeben = $werte["autorespondervergeben"];
	if ((($skmaxautoresponder < ($autorespondervergeben + $maxautoresponder)) && ($skmaxautoresponderlimit == 1)) || (($maxautoresponder == -1) && ($skmaxautoresponderlimit == 1)))
	{
		$nurnoch = $skmaxautoresponder - $autorespondervergeben;
		$fehlertext = ltext("kune3_error19",array($nurnoch));
		db_close();
		include("kunden_neu2.php");
		exit();
	}

	## //

	## ftp überschritten?
	$id  = safe_query2( "select sum(maxftp) as ftpvergeben from kunden where anbieter = ?", $loUser);
	$werte = db_fetch_array($id);
	$ftpvergeben = $werte["ftpvergeben"];
	if ((($skmaxftp < ($ftpvergeben + $maxftp)) && ($skmaxftplimit == 1)) || (($maxftp == -1) && ($skmaxftplimit == 1)))
	{
		$nurnoch = $skmaxftp - $ftpvergeben;
		$fehlertext = ltext("kune3_error20",array($nurnoch));
		db_close();
		include("kunden_neu2.php");
		exit();
	}

	## //

	## subdomains überschritten?
	$id  = safe_query2( "select sum(maxsubdomains) as subdomainsvergeben from kunden where anbieter = ?", $loUser);
	$werte = db_fetch_array($id);
	$subdomainsvergeben = $werte["subdomainsvergeben"];
	if ((($skmaxsubdomains < ($subdomainsvergeben + $maxsubdomains)) && ($skmaxsubdomainslimit == 1)) || (($maxsubdomains == -1) && ($skmaxsubdomainslimit == 1)))
	{
		$nurnoch = $skmaxsubdomains - $subdomainsvergeben;
		$fehlertext = ltext("kune3_error21",array($nurnoch));
		db_close();
		include("kunden_neu2.php");
		exit();
	}

	## //

	## wildcard überschritten?
	if ( $skmaxwildcardslimit && $skmaxwildcards != -1 && $wildcard != 0 )
	{
		$id  = safe_query2( "select sum(wildcard) as other from kunden where anbieter = ?", $loUser);
		$werte = db_fetch_array($id);
		$other = $werte["other"];
		if ( $wildcard == -1 || $other+$wildcard > $skmaxwildcards )
		{
			$fehlertext = ltext("kune3_error22");
			db_close();
			include("kunden_neu2.php");
			exit();
		}
	}





	/* -------------------- at domains -------------------- */
	if ( $skmaxatdomainslimit && $skmaxatdomains != -1 && $atdomains != 0 )
	{
		$id = safe_query2( "SELECT SUM(maxatdomains) AS other FROM kunden WHERE anbieter = ?", $loUser );

		$werte = db_fetch_array($id);
		if ( $atdomains == -1 || $werte["other"]+$atdomains > $skmaxatdomains )
		{
			$fehlertext = ltext( "kune3_error33", array($skmaxatdomains-$werte["other"]) );
			db_close();
			include("kunden_neu2.php");
			exit();
		}
	}
	/* -------------------- end at domains -------------------- */





	## //

	if (($maxsubdomains < $wildcard) && ($maxsubdomains != -1))
	{
		$fehlertext = ltext("kune3_error23");
		db_close();
		include("kunden_neu2.php");
		exit();
	}
	
	## mysql überschritten?
	$id  = safe_query2( "select sum(maxmysql) as mysqlvergeben from kunden where anbieter = ?", $loUser);
	$werte = db_fetch_array($id);
	$mysqlvergeben = $werte["mysqlvergeben"];
	if ((($skmaxmysql < ($mysqlvergeben + $maxmysql)) && ($skmaxmysqllimit == 1)) || (($maxmysql == -1) && ($skmaxmysqllimit == 1)))
	{
		$nurnoch = $skmaxmysql - $mysqlvergeben;
		$fehlertext = ltext("kune3_error24",array($nurnoch));
		db_close();
		include("kunden_neu2.php");
		exit();
	}
	## //
	
	## cron jobs
	$id  = safe_query2( "select sum(maxcronjobs) as cjsum from kunden where anbieter = ?", $loUser);
	$werte = db_fetch_array($id);
	if ((($skmaxcronjobs < ($werte["cjsum"] + $maxcronjobs)) && ($skmaxcronjobslimit == 1)) || (($maxcronjobs == -1) && ($skmaxcronjobslimit == 1)))
	{
		$nurnoch = $skmaxcronjobs - $werte["cjsum"];
		$fehlertext = ltext("kune3_error28",array($nurnoch));
		db_close();
		include("kunden_neu2.php");
		exit();
	}
	## //
	
	## maillist
	$id  = safe_query2( "select sum(maxmaillist) as mlsum from kunden where anbieter = ?", $loUser);
	$werte = db_fetch_array($id);
	if ((($skmaxmaillist < ($werte["mlsum"] + $maxmaillist)) && ($skmaxmaillistlimit == 1)) || (($maxmaillist == -1) && ($skmaxmaillistlimit == 1)))
	{
		$nurnoch = $skmaxmaillist - $werte["mlsum"];
		$fehlertext = ltext("kune3_error32",array($nurnoch));
		db_close();
		include("kunden_neu2.php");
		exit();
	}
	## //
	
	if (($stdcgi == 1) && ($perl != 1))
	{
		$fehlertext = ltext("kune3_error25");
		db_close();
		include("kunden_neu2.php");
		exit();
	}

} # wenn anlegen



## wenn kunde bearbeiten daten auslesen

if ((!istleer($kunde)) && ($datenausdbholen2 != "nein"))
{
	
	db_connect($db_host, $db_user, $db_pass);
	
	$id = safe_query2( "select * from kunden where kunde = ?", $loKunde);
	
	$werte = db_fetch_array($id);
	
	$name = $werte["name"];
	$firstname = $werte["firstname"];
	$land = $werte["land"];
	$gender = $werte["gender"];
	$plz = $werte["plz"];
	$firma = $werte["firma"];
	
	$anschrift = $werte["anschrift"];
	
	$ort = $werte["plzort"];
	
	$telefon = $werte["telefon"];
	
	$fax = $werte["fax"];
	
	$emailadresse = $werte["emailadresse"];
	
	$kundennummer = $werte["kundennummer"];
	
	$freifeldname1 = $werte["freifeldname1"];
	
	$freifeldname2 = $werte["freifeldname2"];
	
	$freifeldname3 = $werte["freifeldname3"];
	
	$freifeldwert1 = $werte["freifeldwert1"];
	
	$freifeldwert2 = $werte["freifeldwert2"];
	
	$freifeldwert3 = $werte["freifeldwert3"];
	
	$kundendatenanzeigen = $werte["kundendatenanzeigen"];
}

## //



?>

<HTML>

<HEAD>

<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>

<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>

</HEAD>



<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">

<br><? include("../fehler.inc.php"); ?>

<script>

<?
echo js_f_call_help('', 'kune3_descr1');
?>

function doChange()

{

document.forms[0].submit();

}

</script>

<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">

<tr>

    <TD>

      <P>

        <? if (!istleer($kunde)) { echo ltext("kune3_title1"); } else { echo ltext("kune3_title2"); } ?>

        </P>

      <form method="post" action="<? if (!istleer($kunde)) { echo "kunden_personendaten_upd.php"; } else { echo "kunden_neu4.php"; } ?>">

        <table  border="1" cellpadding="3" cellspacing="0" bordercolorlight="<? echo $color_dark_grey; ?>" bordercolordark="#FFFFFF">

          <tr >

            <td   class="titel-3" >

              <? echo ltext("kune3_cell_description"); ?>

              </td>

            <td   class="titel-3" >

              <? echo ltext("kune3_cell_input"); ?>

              </td>

          </tr>

          <tr >
            <td   align="right">
              <? echo ltext("kune3_cell_gender"); ?>
              </td>
            <td  >
              <select name="gender">
               <option value="m" <? if ($gender=="m") { echo selected; } ?>><? echo ltext("kune3_cell_gender1"); ?>
               <option value="f" <? if ($gender=="f") { echo selected; } ?>><? echo ltext("kune3_cell_gender2"); ?>
              </select>
            </td>
          </tr>
          <tr >
            <td   align="right">
              <? echo ltext("kune3_cell_firstname"); ?>
              </td>
            <td  >
              <input type="text" name="firstname" value="<? if (isset($name)) { echo $firstname; } ?>">
            </td>
          </tr>
          <tr >
            <td   align="right">
              <? echo ltext("kune3_cell_name"); ?>
              </td>
            <td  >
              <input type="text" name="name" value="<? if (isset($name)) { echo $name; } ?>">
            </td>
          </tr>
          <tr >
            <td   align="right">
              <? echo ltext("kune3_cell_firm"); ?>
              </td>
            <td  >
              <input type="text" name="firma" value="<? if (isset($firma)) { echo $firma; } ?>">
            </td>
          </tr>
          <tr >
            <td  align="right">
              <? echo ltext("kune3_cell_address"); ?>
              </td>
            <td  >
              <input type="text" name="anschrift" value="<? if (isset($anschrift)) { echo $anschrift; } ?>">
            </td>
          </tr>
          <tr >
            <td  align="right">
              <? echo ltext("kune3_cell_city"); ?>
              </td>
            <td  >
              <input type="text" name="ort" value="<? if (isset($ort)) { echo $ort; } ?>">
            </td>
          </tr>
          <tr >
            <td  align="right">
              <? echo ltext("kune3_cell_zip"); ?>
              </td>
            <td  >
              <input type="text" name="plz" value="<? if (isset($plz)) { echo $plz; } ?>">
            </td>
          </tr>
          <tr >
            <td  align="right">
              <? echo ltext("kune3_cell_country"); ?>
              </td>
            <td  >
              <input type="text" name="land" value="<? if (isset($land)) { echo $land; } ?>">
            </td>

          </tr>
          <tr >

            <td  align="right">

              <? echo ltext("kune3_cell_tel"); ?>

              </td>

            <td  >

              <input type="text" name="telefon" value="<? if (isset($telefon)) { echo $telefon; } ?>">

            </td>

          </tr>

          <tr >

            <td  align="right">

              <? echo ltext("kune3_cell_fax"); ?>

              </td>

            <td  >

              <input type="text" name="fax" value="<? if (isset($fax)) { echo $fax; } ?>">

            </td>

          </tr>

          <tr >

            <td  align="right">

              <? echo ltext("kune3_cell_email"); ?>

              </td>

            <td  >

              <input type="text" name="emailadresse" value="<? if (isset($emailadresse)) { echo $emailadresse; } ?>">

            </td>

          </tr>

          <tr >

            <td  align="right">

              <? echo ltext("kune3_cell_cid"); ?>

              </td>

            <td  >

              <input type="text" name="kundennummer" value="<? if (isset($kundennummer)) { echo $kundennummer; } ?>">

            </td>

          </tr>

          <tr >

            <td  class="titel-3" >

              <? echo ltext("kune3_cell_userdeffields"); ?>

              </td>

            <td  class="titel-3" >

              <? echo ltext("kune3_cell_input"); ?>

              </td>

          </tr>

          <tr >

            <td  align="right">

              <input type="text" name="freifeldname1" value="<? if (isset($freifeldname1)) { echo $freifeldname1; } ?>">

            </td>

            <td  >

              <input type="text" name="freifeldwert1" value="<? if (isset($freifeldwert1)) { echo $freifeldwert1; } ?>">

            </td>

          </tr>

          <tr >

            <td  align="right">

              <input type="text" name="freifeldname2" value="<? if (isset($freifeldname2)) { echo $freifeldname2; } ?>">

            </td>

            <td  >

              <input type="text" name="freifeldwert2" value="<? if (isset($freifeldwert2)) { echo $freifeldwert2; } ?>">

            </td>

          </tr>

          <tr >

            <td  align="right">

              <input type="text" name="freifeldname3" value="<? if (isset($freifeldname3)) { echo $freifeldname3; } ?>">

            </td>

            <td  >

              <input type="text" name="freifeldwert3" value="<? if (isset($freifeldwert3)) { echo $freifeldwert3; } ?>">

            </td>

          </tr>

          <tr >

            <td colspan="2" height="3" class="titel-3" >

              <? echo ltext("kune3_cell_showdata"); ?>

              </td></tr>

              <tr><td colspan=2>

              <? echo ltext("kune3_cell_text1"); ?>

              <br>

              <input type="radio" name="kundendatenanzeigen" value="1"<? if ($kundendatenanzeigen == "0") { echo ""; } else { echo " checked"; } ?>>

              <b>

              <? echo ltext("g_yes"); ?>

              </b>

              <input type="radio" name="kundendatenanzeigen" value="0"<? if ($kundendatenanzeigen == "0") { echo " checked"; } ?>>

              <b>

              <? echo ltext("g_no"); ?>

              </b></td>

          </tr>

          <tr >

            <td >&nbsp;</td>

            <td  >

            

            <table cellpadding="0" cellspacing="0" border="0">

            <tr>

            <td><input type=image border=0 src="<?=$strSkinName?>/pics/buttons/bt_img_left.gif"></td>

            <td background="<?=$strSkinName?>/pics/buttons/bt_img_middle.jpg"><a href="javascript:doChange()"  class="button-1"><? if (!istleer($kunde)) { echo ltext("kune3_button1"); } else { echo ltext("kune3_button2"); } ?></a></td>

            <td><input type=image border=0 src="<?=$strSkinName?>/pics/buttons/bt_changepass.gif"></td>

            </tr>

            </table></a>

            </td>

          </tr>

        </table>

        <?

if (!istleer($kunde)) { 
?>
        <input type="hidden" name="kunde" value="<? echo $kunde; ?>">
<? 
} else { 
?>
        <input type="hidden" name="ident" value="<? echo $ident; ?>">
        <input type="hidden" name="maxkb" value="<? echo $maxkb; ?>">
        <input type="hidden" name="kbtyp" value="<? echo $kbtyp; ?>">
        <input type="hidden" name="maxpop" value="<? echo $maxpop; ?>">
        <input type="hidden" name="maxemail" value="<? echo $maxemail; ?>">
        <input type="hidden" name="maxautoresponder" value="<? echo $maxautoresponder; ?>">
        <input type="hidden" name="maxftp" value="<? echo $maxftp; ?>">
        <input type="hidden" name="maxtransfer" value="<? echo $maxtransfer; ?>">
        <input type="hidden" name="transfertyp" value="<? echo $transfertyp; ?>">
        <input type="hidden" name="maxsubdomains" value="<? echo $maxsubdomains; ?>">
        <input type="hidden" name="maxmysql" value="<? echo $maxmysql; ?>">
        <input type="hidden" name="maxcronjobs" value="<? echo $maxcronjobs; ?>">
        <input type="hidden" name="php" value="<? echo $php; ?>">
        <input type="hidden" name="ftp" value="<? echo $ftp; ?>">
        <input type="hidden" name="wildcard" value="<? echo $wildcard; ?>">
        <input type="hidden" name="atdomains" value="<? echo $atdomains; ?>">
        <input type="hidden" name="perl" value="<? echo $perl; ?>">
	<input type="hidden" name="modpython" value="<? echo $modpython; ?>">
        <input type="hidden" name="ssi" value="<? echo $ssi; ?>">
        <input type="hidden" name="frontpage" value="<?= $frontpage ?>">
        <input type="hidden" name="shell" value="<? echo $shell; ?>">
        <input type="hidden" name="scponly" value="<? echo $scponly; ?>">
        <input type="hidden" name="statistik" value="<? echo $statistik; ?>">
        <input type="hidden" name="pwschutz" value="<? echo $pwschutz; ?>">
        <input type="hidden" name="fehlerseiten" value="<? echo $fehlerseiten; ?>">
        <input type="hidden" name="webftp" value="<? echo $webftp; ?>">
        <input type="hidden" name="webmail" value="<? echo $webmail; ?>">
        <input type="hidden" name="stdcgi" value="<? echo $stdcgi; ?>">
        <input type="hidden" name="phpupload" value="<? echo $phpupload; ?>">
        <input type="hidden" name="wap" value="<? echo $wap; ?>">
        <input type="hidden" name="coldfusion" value="<? echo $coldfusion; ?>">
        <input type="hidden" name="dirlist" value="<? echo $dirlist; ?>">
        <input type="hidden" name="spamfilter" value="<? echo $spamfilter; ?>">
        <input type="hidden" name="maxmaillist" value="<? echo $maxmaillist; ?>">
<? 
} 
?>

    </TD>

  </TR>

</TABLE>

</form>

</BODY>

</HTML>



<?

  db_close();

?>
